/**
 * Terminal.
 * @constructor
 */
function VeiculoComboioViewModel() {
    "use strict";
    /**
     * internal fields
     */
    var mSelf = this,
        o = arguments[0] || {};

    mSelf.CodigoVeiculo = ko.observable(o.CodigoVeiculo);
    mSelf.CodigoFCV = ko.observable(o.CodigoFCV);
    mSelf.RegistroTerminal = ko.observable(o.RegistroTerminal);
    mSelf.Identificador = ko.observable(o.Identificador);
    mSelf.Selecionado = ko.observable(o.Selecionado);

    mSelf.toJson = function () {
        var json = {};

        for (var i in mSelf) {
            if (i != "toJson")
                json[i] = mSelf[i]();
        }

        return json;
    };
}